Robotics Service Bus - Tasks #892
Enhancement # 645 (Rejected): Octave Support

Apply for GSoC 2012 with RSB Octave Support
02/20/2012 12:03 PM - Anonymous

Status: Rejected Start date: 02/20/2012
Priority: Normal Due date:

Assignee: % Done: 60%
Category: Estimated time: 0.00 hour
Target version:

Description

Apply for Google’s Summer of Code 2012 with RSB Octave Support.

History

#1 - 02/20/2012 04:12 PM - Anonymous

See http://octave.org/wiki/index.php?titte=GSoC Project Ideas#RSB Octave interface

#2 - 02/20/2012 06:30 PM - J. P. Carbajal
- Assignee set to Anonymous
- % Done changed from 0 to 10

Hi devs,
It would be great to have a short skype meeting to put some things in common. | think this is required even is the GSoC initiative fails. Eventually we
have to code the Octave interface, right?

Around Mon, 27 Feb 2012 10:00:00 +0100 would be ok for me.

#3 - 03/29/2012 03:30 PM - Anonymous
- % Done changed from 10 to 50

Octave made it in Google's Summer of Code 2012 (GSoC) through the GSoC umbrella of GNU.
Applying for the Octave/RSB interface can therefore start in principle. Further information about the application process will follow.

#4 - 03/29/2012 03:52 PM - J. P. Carbajal
- % Done changed from 50 to 60

Hi,

| hope the text below can be used to send a massive e-mail to all the projects and institutions that are RSB related (AMARSI, CorLab, etc...)

If you want to apply to contribute to RSB, you have to do it through GNU/Octave. The guidelines from GNU are here
http://www.gnu.org/software/soc-projects/guidelines.html

In that page you will find a link to GNU related projects where you will find a section named Octave. That sections gives a rough overview an provides
a link to this page
http://octave.org/wiki/index.php?titte=GSoC Project Ideas#RSB Octave interface
http://octave.org/wiki/index.php?title=GSoC_Project_Ideas#RSB_Octave_interface
http://www.gnu.org/software/soc-projects/guidelines.html
http://octave.org/wiki/index.php?title=GSoC_Project_Ideas#RSB_Octave_interface

There you find the particular description for RSB. You can contact the mentors listed there.

Summarizing, follow GNU form (read the guidelines!) to apply and mention that you want to work for GNU/Octave/RSB_Octave_Interface. Mentors can
help you with the wording of your project, contact them in the channel #rsb at freenode.irc (if you prefer the web for chating go to
http://webchat.freenode.net/).

#5 - 03/29/2012 03:55 PM - J. P. Carbajal

BTW, There is only

1 Week, 1 day remaining!

#6 - 07/18/2012 04:36 PM - J. P. Carbajal

Hi,

Octave is also in the European space agency summer of code. RSB should get another shot there.

http://sophia.estec.esa.int/socis2012/?g=node/13

#7 - 05/21/2013 02:43 PM - Anonymous
- Status changed from New to Rejected
